View Issue Details

IDProjectCategoryView StatusLast Update
0001092SOGoBackend Calendarpublic2011-03-23 16:17
Reporteralcy Assigned Toludovic  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Fixed in Version1.3.6 
Summary0001092: Declining a single occurrence of a recurring event leads to declining of the master event in organizer's calendar.
Description

http://www.mail-archive.com/users@sogo.nu/msg03459.html

When you decline an occurrence of a recurring event through Thunderbird ( Inverse Lightning + SOGo Integrator and Connector), then in the organizer's calendar, the master event gets declined (which had the "ACCEPTED" status before), while the status for the occurrence remains "NEEDS-ACTION". In the attendee's calendar, however, the behavior is as it should be - the master event remains "ACCEPTED", and the occurrence status is "DECLINED".

Additional Information

Reproducible as follows:

1) Create a recurring event, Event X, as user foo, and invite bar.

2) Bar accepts Event X.

3) foo changes a particular occurrence.

4) bar rejects the change.

5) In bar's calendar, occurrence appears as rejected, and the master event as accepted. In foo's calendar occurrence's status remains "NEEDS-ACTION" while master event gets declined.

TagsNo tags attached.

Activities

francis

francis

2011-02-10 20:48

administrator   ~0002096

There's already a problem at step 3 : if foo changes the time of one occurrence, the PARTSTAT of bar for this new occurrence stays to ACCEPT in foo's calendar, while it is properly reset to NEEDS-ACTION in bar's calendar.

Everything is correct when performing the same scenario in the Web interface.

ludovic

ludovic

2011-03-23 16:17

administrator   ~0002292

Fixed with http://mtn.inverse.ca/revision/diff/11c0941cac8926d96e43efabe282a5d3d549d0c9/with/3931b3fc847a4504339f11bcd48a3ea417c822b0

Issue History

Date Modified Username Field Change
2011-01-24 04:33 alcy New Issue
2011-02-10 20:48 francis Note Added: 0002096
2011-03-23 16:17 ludovic Note Added: 0002292
2011-03-23 16:17 ludovic Status new => resolved
2011-03-23 16:17 ludovic Fixed in Version => 1.3.6
2011-03-23 16:17 ludovic Resolution open => fixed
2011-03-23 16:17 ludovic Assigned To => ludovic